// #autoload
// #name = eTourneyClient
// #version = 2.0
// #date = 28 July 2003
// #status = Release
// #author = Paul Symeou
// #warrior = ilys
// #email = ilys@myrealbox.com
// #web = http://ilys.gamerzcore.com
// #category = ilys' Scripts
// #readme = scripts/autoexec/eTourneyClientReadme.txt

$eTourney::Count = 0;
$eTourney::Current = 0;
$eTourney::SortColumnKey = "0";
$eTourney::SortInc = "1";
if(isfile("prefs/eTourneyPrefs.cs")) exec("prefs/eTourneyPrefs.cs");

package eTourneyClient
{
function eTourneyDlgUpdateList()
{
	eTourneyDlgPane.setText("eTourneyClient - Connecting");
	eTourneyDlgList.clear();
	if(isObject(eTourneyHTTP)) eTourneyHTTP.delete();
	new HTTPObject(eTourneyHTTP);
	%str = $eTourney::ServerAddress[$eTourney::Current];
	%server = getSubStr(%str, 0, strPos(%str, "/"));
	%path = getSubStr(%str, strPos(%str, "/"), strLen(%str));
	$ct = 0;
	eTourneyHTTP.get(%server, %path);
}

function eTourneySetData()
{
	if($player $= "")
	{
		alxPlay(InputDeniedSound, 0, 0, 0);
		MessageBoxOK("Oopsie!", "You're not on a server!\n\nOMG! WHAT A FRIGGIN' TARD!!!");
		canvas.popDialog(eTourneyDlg);
		return;
	}
	if(!$eTourney)
	{
		alxPlay(InputDeniedSound, 0, 0, 0);
		MessageBoxOK("Oopsie!", "eTourney not found!\n\nThis tool requires eTourney to function.");
		canvas.popDialog(eTourneyDlg);
		return;
	}
	if(!$player.isAdmin && !$player.isSuperAdmin)
	{
		alxPlay(InputDeniedSound, 0, 0, 0);
		MessageBoxOK("Oopsie!", "You're not an Admin!\n\nOnly a Server Admin or SuperAdmin can use this tool.");
		canvas.popDialog(eTourneyDlg);
		return;
	}
	if(eTourneyDlgList.getSelectedId() == -1)
	{
		alxPlay(InputDeniedSound, 0, 0, 0);
		MessageBoxOK("Oopsie!", "Try selecting a server!\n\nIdiot...");
		return;
	}
	commandToServer('ETMResetMap', 1);
	commandToServer('ETMResetMap', 2);
	commandToServer('ETMResetMap', 3);
	commandToServer('ETMResetAllMaps');
	eTourneyDlgPane.setText("eTourneyClient - Setting Up Server");
	%sel = eTourneyDlgList.getRowTextById(eTourneyDlgList.getSelectedId());
	%mod = getField((%sel), 2);
	%team1name = getField((%sel), 3);
	%team2name = getField((%sel), 4);
	%map1name = getField((%sel), 5);
	%map1type = getField((%sel), 8);
	%map1side = getField((%sel), 9);
	%map2name = getField((%sel), 6);
	%map2type = getField((%sel), 10);
	%map2side = getField((%sel), 11);
	%map3name = getField((%sel), 7);
	%map3type = getField((%sel), 12);
	%map3side = getField((%sel), 13);
	%grav = getState(Gravity);
	if(%mod $= "tr2" && %grav !$= "-43")
	{
		eTourneyDlgPane.setText("eTourneyClient - Welcome");
		alxPlay(InputDeniedSound, 0, 0, 0);
		MessageBoxOK("Oopsie!", "Wrong mod!\n\nThe server needs to be restarted with TR2 first.");
		return;
	}
	else if((%mod $= "base" && %grav !$= "-20") || (%mod $= "classic" && %grav !$= "-26.9"))
	{
		eTourneyDlgPane.setText("eTourneyClient - Welcome");
		alxPlay(InputDeniedSound, 0, 0, 0);
		MessageBoxYesNo("Oopsie!", "Wrong mod!\n\nThe server needs to be switched to "@%mod@".\n\nDo you want to do this now?", "commandtoserver('StartNewVote',\"modSwitcher\");");
		return;
	}
	if(!checkMapExists(%map1name, 0) || !checkGametypeExists(%map1type, 0) || !checkMapExists(%map2name, 0) || !checkGametypeExists(%map2type, 0) || !checkMapExists(%map3name, 0) || !checkGametypeExists(%map3type, 0)) return;
	eTourneySendData(%map1side, %team1name, %team2name, %map1name, %map1type, 1);
	eTourneySendData(%map2side, %team1name, %team2name, %map2name, %map2type, 2);
	eTourneySendData(%map3side, %team1name, %team2name, %map3name, %map3type, 3);
	canvas.popDialog(eTourneyDlg);
	commandtoserver('ETMProceed');
}

function eTourneySendData(%teamside, %team1name, %team2name, %missionDisplayName, %missionType, %mapnum)
{
	if(%teamside == 1)
	{
		%team1 = %team1name;
		%team2 = %team2name;
	}
	else
	{
		%team1 = %team2name;
		%team2 = %team1name;
	}
	for(%missionId = 0; %missionId < $ServerMissionCount; %missionId++)
	{
		if($ServerMissionName[%missionId] $= %missionDisplayName) break;
	}
	for(%missionTypeId = 0; %missionTypeId < $ServerTypeCount; %missionTypeId++)
	{
		if($ServerTypeName[%missionTypeId] $= %missionType)
		{
			%typeDisplayName = $ServerTypeDisplayName[%missionTypeId];
			break;
		}
	}
	commandtoserver('ETMReceiveMap', %missionId, %missionTypeId, %missionDisplayName, %typeDisplayName, %team1, %team2, %mapnum);
}

function checkMapExists(%missionName, %val)
{
	for(%missionId = 0; %missionId < $ServerMissionCount; %missionId++)
	{
		if($ServerMissionName[%missionId] $= %missionName) return 1;
	}
	if(!%val)
	{
		eTourneyDlgPane.setText("eTourneyClient - Welcome");
		alxPlay(InputDeniedSound, 0, 0, 0);
		MessageBoxOK("Oopsie!", "Map or Gametype does not exist!\n\n"@%missionName@" is not installed on this server.");
	}
	return 0;
}

function checkGametypeExists(%missionType, %val)
{
	for(%missionTypeId = 0; %missionTypeId < $ServerTypeCount; %missionTypeId++)
	{
		if($ServerTypeName[%missionTypeId] $= %missionType) return 1;
	}
	if(!%val)
	{
		eTourneyDlgPane.setText("eTourneyClient - Welcome");
		alxPlay(InputDeniedSound, 0, 0, 0);
		MessageBoxOK("Oopsie!", "Map or Gametype does not exist!\n\n"@%missionType@" is not installed on this server.");
	}
	return 0;
}

function eTourneyETMvote(%msgType, %msgString, %a1, %a2, %a3, %a4)
{
	startNewVote("VoteETMmode", %a1, %a2, %a3, %a4);
}

function eTourneyHandleJoin(%msgtype, %message, %name, %id)
{
	if (strstr(%message, "Welcome to Tribes2") != -1) $player = $PlayerList[%id];
}

function eTourneyGetInfo(%msgtype, %msgstring, %key, %idx, %null, %name)
{
	if(!eTourneyDlg.isAwake()) return;
	if(%key == 10)
	{
		if($ServerTypeDisplayName[%idx] $= "")
		{
			%missionType = $ServerTypeDisplayName[%idx] = %name;
			$ServerTypeCount++;
			if(%missionType $= "Capture the Flag") $ServerTypeName[%idx] = "CTF";
			else if(%missionType $= "Defend and Destroy") $ServerTypeName[%idx] = "DnD";
			else if(%missionType $= "Deathmatch") $ServerTypeName[%idx] = "DM";
			else if(%missionType $= "Team Hunters") $ServerTypeName[%idx] = "TeamHunters";
			else if(%missionType $= "Capture and Hold") $ServerTypeName[%idx] = "CnH";
			else $ServerTypeName[%idx] = %missionType;
		}
	}
	else if(%key == 11)
	{
		if($ServerMissionName[%idx] $= "")
		{
			$ServerMissionName[%idx] = %name;
			$ServerMissionCount++;
		}
	}
}

function eTourneyGetModInfo(%msgType, %msgString, %mission, %mod, %game)
{
	if(strstr(%mod, "Pizza Admin Mod") != -1 || strstr(%mod, "Evolution Admin Mod") != -1) $eTourney = 1;
}

function eTourneyHTTP::onDNSFailed(%this)
{
	eTourneyDlgPane.setText("eTourneyClient - Welcome");
	alxPlay(InputDeniedSound, 0, 0, 0);
	MessageBoxOK("Oopsie!", "DNS Failed\n\nCheck the server address.\nThere may also be a problem with your ISP.");
	%this.delete();
}

function eTourneyHTTP::onConnectFailed(%this)
{
	eTourneyDlgPane.setText("eTourneyClient - Welcome");
	alxPlay(InputDeniedSound, 0, 0, 0);
	MessageBoxOK("Oopsie!", "Connect Failed\n\nCheck the server address.\nContact the ladders Administrator if the problem persists.");
	%this.delete();
}

function eTourneyHTTP::onDisconnect(%this)
{
	eTourneyDlgPane.setText("eTourneyClient - Welcome");
	%this.delete();
}

function eTourneyHTTP::onLine(%this, %line)
{
	eTourneyDlgPane.setText("eTourneyClient - Retrieving List");
	%line = detag(%line);
	if(%line $= "") return;
	%date = getField((%line), 0) SPC getField((%line), 1);
	%teamsize = getWord(getField((%line), 2), 0);
	%mod = getWord(getField((%line), 2), 1);
	%team1name = getField((%line), 3);
	%team2name = getField((%line), 4);
	%map1name = checkMapNames(getField((%line), 6));
	%map1type = checkTypeNames(getField((%line), 5));
	%map1side = getField((%line), 7);
	%map2name = checkMapNames(getField((%line), 9));
	%map2type = checkTypeNames(getField((%line), 8));
	%map2side = getField((%line), 10);
	%map3name = checkMapNames(getField((%line), 12));
	%map3type = checkTypeNames(getField((%line), 11));
	%map3side = getField((%line), 13);
	%grav = getState(Gravity);
	eTourneyDlgList.addRow($ct, %date TAB %teamsize TAB %mod TAB %team1name TAB %team2name TAB %map1name TAB %map2name TAB %map3name TAB %map1type TAB %map1side TAB %map2type TAB %map2side TAB %map3type TAB %map3side);
	if(!checkMapExists(%map1name, 1) || !checkGametypeExists(%map1type, 1) || !checkMapExists(%map2name, 1) || !checkGametypeExists(%map2type, 1) || !checkMapExists(%map3name, 1) || !checkGametypeExists(%map3type, 1)) eTourneyDlgList.setRowStyle($ct, 3);
	else if((%mod $= "tr2" && %grav !$= "-43") || (%mod $= "base" && %grav !$= "-20") || (%mod $= "classic" && %grav !$= "-26.9")) eTourneyDlgList.setRowStyle($ct, 2);
	else eTourneyDlgList.setRowStyle($ct, 1);
	$ct++;
	eTourneyDlgList.sort();
	eTourneyDlgList.setSelectedRow(0);
}

function checkMapNames(%mapname)
{
	if(%mapname $= "Beggars Run") return "Beggar's Run";
	else if(%mapname $= "Devils Elbow") return "Devil's Elbow";
	else if(%mapname $= "Jacobs Ladder") return "Jacob's Ladder";
	else if(%mapname $="ThunderGiant (x2)") return "Thunder Giant (x2)";
	else if (%mapname $= "ArenaDome" || %mapname $= "ArenaValley" || %mapname $= "DustBowl" || %mapname $= "Flyersarena" || %mapname $= "IceDome" || %mapname $= "IndoorIntensity") return "2-"@%mapname;
	else return %mapname;
}

function checkTypeNames(%typename)
{
	if(%typename $= "C&H") return "CnH";
	else return %typename;
}

function eTourneyNewServer()
{
	if(!eServerDlg.isAwake())
	{
		eServerDlgPane.setText("eTourneyClient - New Server");
		eName.setvalue("");
		eServer.setvalue("");
		eTourneySave.command = "eTourneySaveNewServer();";
		canvas.pushDialog(eServerDlg);
	}
}

function eTourneyEditServer()
{
	if(!eServerDlg.isAwake() && $eTourney::Count != 0)
	{
		eServerDlgPane.setText("eTourneyClient - Edit Server");
		eName.setvalue($eTourney::ServerName[$eTourney::Current]);
		eServer.setvalue($eTourney::ServerAddress[$eTourney::Current]);
		eTourneySave.command = "eTourneySaveEditServer();";
		canvas.pushDialog(eServerDlg);
	}
}

function eTourneyDlgToggle(%val)
{
	if(!%val) return;
	if(!eTourneyDlg.isAwake()) canvas.pushDialog(eTourneyDlg);
	else canvas.popDialog(eTourneyDlg);
}

function eTourneyDlg::onWake(%this)
{
	if(!$eTourneyInitialized)
	{
		eTourneyDlgList.setSortColumn($eTourney::SortColumnKey);
		eTourneyDlgList.setSortIncreasing($eTourney::SortInc);
		eTourneyDlgList.addStyle(1, $ShellFont, $ShellFontSize, "0 255 0", "0 255 0", "0 155 0");
		eTourneyDlgList.addStyle(2, $ShellFont, $ShellFontSize, "155 155 155", "155 155 155", "0 0 0");
		eTourneyDlgList.addStyle(3, $ShellFont, $ShellFontSize, "255 0 0", "255 0 0", "155 0 0");
		eTourneyDlgList.addColumn(0, "Date/Time", 100, 100, 100, "center");
 		eTourneyDlgList.addColumn(1, "Team Size", 50, 50, 50, "center");
		eTourneyDlgList.addColumn(2, "Mod", 50, 50, 50, "left");
		eTourneyDlgList.addColumn(3, "Team Name", 55, 55, 55, "left");
		eTourneyDlgList.addColumn(4, "Team Name", 55, 55, 55, "left");
		eTourneyDlgList.addColumn(5, "First Map", 90, 90, 90, "left");
		eTourneyDlgList.addColumn(6, "Second Map", 90, 90, 90, "left");
		eTourneyDlgList.addColumn(7, "Third Map", 90, 90, 90, "left");
		eTourneyDlgList.addColumn(8, "Gametype", 0, 0, 0, "left");
		eTourneyDlgList.addColumn(9, "Side", 0, 0, 0, "left");
		eTourneyDlgList.addColumn(10, "Gametype", 0, 0, 0, "left");
		eTourneyDlgList.addColumn(11, "Side", 0, 0, 0, "left");
		eTourneyDlgList.addColumn(12, "Gametype", 0, 0, 0, "left");
		eTourneyDlgList.addColumn(13, "Side", 0, 0, 0, "left");
		eTourneyDlgList.clear();
		$eTourneyInitialized = true;
	}
	if($eTourney)
	{
		MessagePopup("Please Wait", "eTourneyClient is receiving a list of maps and gametypes on the server.", 2500);
		commandtoserver('GetETMMissionTypes', 10);
		schedule(1000, 0, eTourneyGetMissionList);
	}
	eTourneyDlgPane.setText("eTourneyClient - Welcome");
	eServerList.clear();
	for(%x = 0; %x < $eTourney::Count; %x++) eServerList.add($eTourney::ServerName[%x], %x);
	eServerList.setSelected($eTourney::Current);
}

function eServerDlg::onWake(%this) {}

function eTourneyGetMissionList()
{
	for(%idx = 0; %idx < $ServerTypeCount; %idx++) commandtoserver('GetETMMissionList', 11, %idx);
}

function eTourneySaveNewServer()
{
	if($eTourney::Count != 0) $eTourney::Count++;
	$eTourney::ServerName[$eTourney::Count-1] = eName.getvalue();
	$eTourney::ServerAddress[$eTourney::Count-1] = eServer.getvalue();
	eServerList.add($eTourney::ServerName[$eTourney::Count-1], $eTourney::Count-1);
	$eTourney::Current = $eTourney::Count-1;
	eServerList.setSelected($eTourney::Current);
	if($eTourney::Count == 0) $eTourney::Count++;
	eTourneyDlgList.clear();
	canvas.popDialog(eServerDlg);
}

function eTourneySaveEditServer()
{
	$eTourney::ServerName[$eTourney::Current] = eName.getvalue();
	$eTourney::ServerAddress[$eTourney::Current] = eServer.getvalue();
	eServerList.setSelected($eTourney::Current);
	eTourneyDlgList.clear();
	canvas.popDialog(eServerDlg);
}

function eTourneyDeleteServer()
{
	$eTourney::ServerName[$eTourney::Current] = ""; %y = 0;
	for(%x = 0; %x < $eTourney::Count; %x++)
	{
		if($eTourney::ServerName[%y] $= "") %y++;
		$eTempName[%x] = $eTourney::ServerName[%y];
		$eTempAddress[%x] = $eTourney::ServerAddress[%y];
		%y++;
	}
	deleteVariables("$eTourney::Server*");
	$eTourney::Count--;
	for(%x = 0; %x < $eTourney::Count; %x++)
	{
		$eTourney::ServerName[%x] = $eTempName[%x];
		$eTourney::ServerAddress[%x] = $eTempAddress[%x];
	}
	eServerList.clear();
	for(%x = 0; %x < $eTourney::Count; %x++) eServerList.add($eTourney::ServerName[%x], %x);
	$eTourney::Current = 0;
	eTourneyDlgList.clear();
	eServerList.setSelected($eTourney::Current);
}

function eServerList::onSelect(%this, %id, %text)
{
	eTourneyDlgList.clear();
	$eTourney::Current = %id;
}

function eTourneyDlgList::onSetSortKey(%this, %sortKey, %isIncreasing)
{
	$eTourney::SortColumnKey = %sortKey;
	$eTourney::SortInc = %isIncreasing;
}

function eTourneyDlgList::onColumnResize(%this, %column, %newSize, %key)
{
	$eTourney::Column[%column] = %key SPC %newSize;
}

function OptionsDlg::onWake(%this)
{
	if (!$eTourneyClientBind)
	{
		$RemapName[$RemapCount] = "Toggle eTourneyClient";
		$RemapCmd[$RemapCount]  = "eTourneyDlgToggle";
		$RemapCount++;
		$eTourneyClientBind = true;
	}
	parent::onWake(%this);
}

function quit()
{
	parent::quit();
	export("$eTourney::*", "prefs/eTourneyPrefs.cs", false);
}

function DisconnectedCleanup()
{
	$player = "";
	$eTourney = 0;
	deletevariables("$Server*");
	parent::DisconnectedCleanup();
}
};
activatePackage(eTourneyClient);
AddMessageCallback('MsgLoadInfo', eTourneyGetModInfo);
addMessageCallback('MsgPizzaPassed', eTourneyETMvote);
addMessageCallback('MsgClientJoin', eTourneyHandleJoin);
addMessageCallback('MsgETMVoteItem', eTourneyGetInfo);

new GuiControl(eTourneyDlg)
{
	profile = "DlgBackProfile";
	horizSizing = "width";
	vertSizing = "hight";
	position = "0 0";
	extent = "640 480";
	minExtent = "8 8";
	visible = "1";
	hideCursor = "0";
	bypassHideCursor = "0";
	helpTag = "0";
	new ShellDlgFrame(eTourneyDlgPane)
	{
		profile = "ShellDlgProfile";
		horizSizing = "center";
		vertSizing = "center";
		position = "0 0";
		extent = "640 480";
		minExtent = "16 28";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		setFirstResponder = "False";
		modal = "True";
		helpTag = "0";
		text = "eTourneyClient - Welcome";
		maxLength = "255";
       		noTitleBar = "0";
		new ShellFieldCtrl() {
			profile = "ShellFieldProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "23 40";
			extent = "593 70";
			minExtent = "16 18";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
		};
		new ShellPopupMenu(eServerList)
		{
			profile = "ShellPopupProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "195 42";
			extent = "250 36";
			minExtent = "49 36";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "SERVERS";
			maxLength = "255";
			maxPopupHeight = "200";
			buttonBitmap = "gui/shll_pulldown";
			rolloverBarBitmap = "gui/shll_pulldownbar_rol";
			selectedBarBitmap = "gui/shll_pulldownbar_act";
			noButtonStyle = "0";
		};
		new ShellBitmapButton() {
			profile = "ShellButtonProfile";
			horizSizing = "right";
			vertSizing = "top";
       			position = "242 70";
			extent = "55 38";
			minExtent = "32 38";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			command = "eTourneyNewServer();";
			helpTag = "0";
			text = "Add";
			simpleStyle = "0";
		};
		new ShellBitmapButton() {
			profile = "ShellButtonProfile";
			horizSizing = "right";
			vertSizing = "top";
       			position = "292 70";
			extent = "55 38";
			minExtent = "32 38";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			command = "eTourneyEditServer();";
			helpTag = "0";
			text = "Edit";
			simpleStyle = "0";
		};
		new ShellBitmapButton() {
			profile = "ShellButtonProfile";
			horizSizing = "right";
			vertSizing = "top";
       			position = "342 70";
			extent = "55 38";
			minExtent = "32 38";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			command = "eTourneyDeleteServer();";
			helpTag = "0";
			text = "Delete";
			simpleStyle = "0";
		};
       		new ShellFancyArrayScrollCtrl()
       		{
       			profile = "NewScrollCtrlProfile";
       			horizSizing = "width";
       			vertSizing = "height";
       			position = "19 120";
       			extent = "600 290";
       			minExtent = "32 32";
       			visible = "1";
       			hideCursor = "0";
       			bypassHideCursor = "0";
       			helpTag = "0";
       			fixedHorizontal = "1";
       			vertSpacerBitmap = "gui/shll_vertspacer";
       			horzSpacerBitmap = "gui/shll_horzspacer";
       			new ShellFancyTextList(eTourneyDlgList)
       			{
       				profile = "ShellServerBrowserProfile";
       				horizSizing = "right";
       				vertSizing = "bottom";
       				position = "0 0";
				extent = "0 0";
       				minExtent = "0 0";
       				visible = "1";
       				hideCursor = "0";
       				bypassHideCursor = "0";
       				helpTag = "0";
       				startScrollRegion = "0 0";
       				headerBitmap = "gui/server_tabs";
       				sortArrowBitmap = "gui/shll_sortarrow";
       				fieldBase = "gui/shll_field";
       				barBase = "gui/shll_bar";
       				glowOffset = "4";
       				rowHeight = "20";
       				headerFontType = "Univers Condensed";
       				headerFontSize = "16";
       				headerFontColor = "8 19 6 255";
       				headerFontColorHL = "25 68 56 255";
       				separatorColor = "192 192 192 255";
       				drawSeparators = "0";
       				headerSort = "1";
       				allowReposition = "0";
       				noSelect = "0";
       				allowColorChars = "1";
       		            	altCommand = "eTourneySetData();";
       			};
		};
		new ShellFieldCtrl() {
			profile = "ShellFieldProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "23 420";
			extent = "593 40";
			minExtent = "16 18";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
		};
		new ShellBitmapButton() {
			profile = "ShellButtonProfile";
			horizSizing = "right";
			vertSizing = "top";
       			position = "80 422";
			extent = "128 38";
			minExtent = "32 38";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			command = "eTourneyDlgUpdateList();";
			helpTag = "0";
			text = "Update List";
			simpleStyle = "0";
		};
       		new ShellBitmapButton()
       		{
       			profile = "ShellButtonProfile";
       			horizSizing = "center";
       			vertSizing = "top";
       			position = "255 422";
       			extent = "128 38";
       			minExtent = "32 38";
       			visible = "1";
       			hideCursor = "0";
       			bypassHideCursor = "0";
       			command = "eTourneySetData();";
       			helpTag = "0";
       			text = "Update Server";
       			simpleStyle = "0";
       		};
       		new ShellBitmapButton()
       		{
       			profile = "ShellButtonProfile";
       			horizSizing = "right";
       			vertSizing = "top";
       			position = "425 422";
       			extent = "128 38";
       			minExtent = "32 38";
       			visible = "1";
       			hideCursor = "0";
       			bypassHideCursor = "0";
       			command = "eTourneyDlgToggle(1);";
       			helpTag = "0";
       			text = "Cancel";
       			simpleStyle = "0";
		};
	};
};

new GuiControl(eServerDlg)
{
	profile = "DlgBackProfile";
	horizSizing = "width";
	vertSizing = "hight";
	position = "0 0";
	extent = "640 480";
	minExtent = "8 8";
	visible = "1";
	hideCursor = "0";
	bypassHideCursor = "0";
	helpTag = "0";
	new ShellDlgFrame(eServerDlgPane)
	{
		profile = "ShellDlgProfile";
		horizSizing = "center";
		vertSizing = "center";
		position = "0 0";
		extent = "640 480";
		minExtent = "16 28";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		setFirstResponder = "False";
		modal = "True";
		helpTag = "0";
		text = "eTourneyClient - ";
		maxLength = "255";
       		noTitleBar = "0";
		new ShellFieldCtrl() {
			profile = "ShellFieldProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "23 40";
			extent = "593 70";
			minExtent = "16 18";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
		};
		new GuiTextCtrl()
		{
			profile = "ShellTextProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "35 50";
			extent = "29 22";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "Name";
			longTextBuffer = "0";
			maxLength = "255";
		};
       		new ShellTextEditCtrl(eName)
       		{
      			profile = "NewTextEditProfile";
      			horizSizing = "right";
      			vertSizing = "bottom";
      			position = "70 42";
      			extent = "260 38";
      			minExtent = "32 38";
      			visible = "1";
       			hideCursor = "0";
       			bypassHideCursor = "0";
       			helpTag = "0";
       			longTextBuffer = "0";
       			maxLength = "255";
       			historySize = "0";
       			password = "0";
       			tabComplete = "0";
       			deniedSound = "InputDeniedSound";
       			glowOffset = "9 9";
       		};
		new GuiTextCtrl()
		{
			profile = "ShellTextProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "35 80";
			extent = "33 22";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "Server";
			longTextBuffer = "0";
			maxLength = "255";
		};
       		new ShellTextEditCtrl(eServer)
       		{
      			profile = "NewTextEditProfile";
      			horizSizing = "right";
      			vertSizing = "bottom";
			position = "70 72";
			extent = "540 22";
      			minExtent = "32 38";
      			visible = "1";
       			hideCursor = "0";
       			bypassHideCursor = "0";
       			helpTag = "0";
       			longTextBuffer = "0";
       			maxLength = "255";
       			historySize = "0";
       			password = "0";
       			tabComplete = "0";
       			deniedSound = "InputDeniedSound";
       			glowOffset = "9 9";
       		};
		new ShellFieldCtrl() {
			profile = "ShellFieldProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "23 124";
			extent = "593 282";
			minExtent = "16 18";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
		};
		new GuiMLTextCtrl(eTourney_Info) {
			profile = "GuiDefaultProfile";
			horizSizing = "center";
			vertSizing = "top";
			position = "35 135";
			extent = "570 260";
			minExtent = "580 260";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			lineSpacing = "2";
			allowColorChars = "1";
			maxChars = "-1";
			deniedSound = "InputDeniedSound";
		};
		new ShellFieldCtrl() {
			profile = "ShellFieldProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "23 420";
			extent = "593 40";
			minExtent = "16 18";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
		};
       		new ShellBitmapButton(eTourneySave)
       		{
       			profile = "ShellButtonProfile";
       			horizSizing = "right";
       			vertSizing = "bottom";
       			position = "185 422";
       			extent = "130 38";
       			minExtent = "32 38";
       			visible = "1";
       			hideCursor = "0";
       			bypassHideCursor = "0";
       			helpTag = "0";
       			text = "Save";
       			simpleStyle = "0";
		};
       		new ShellBitmapButton()
       		{
       			profile = "ShellButtonProfile";
       			horizSizing = "right";
       			vertSizing = "bottom";
       			position = "325 422";
       			extent = "130 38";
       			minExtent = "32 38";
       			visible = "1";
       			hideCursor = "0";
       			bypassHideCursor = "0";
       			command = "canvas.popDialog(eServerDlg);";
       			helpTag = "0";
       			text = "Cancel";
       			simpleStyle = "0";
		};
       	};
};
eTourney_Info.setText("Contact your Ladder admins for details on a possible backend." NL "Enter a name for the server in the Name edit box. Anything will do, it's just to identify the server in the droplist." NL "Enter the server details in the Server edit box with the server:port/path/page scheme." NL "" NL "Examples:" NL "tribes2.theladder.org:80/matches_csv_evomod.php" NL "some.othersite.org:80/backend/matches.php");
